Package org.apache.tools.ant.util.regexp

# Class Jdk14RegexpRegexp

java.lang.Object
org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher
org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp

All Implemented Interfaces:
  `Regexp`, `RegexpMatcher`

public class Jdk14RegexpRegexp extends Jdk14RegexpMatcher implements Regexp
Regular expression implementation using the JDK 1.4 regular expression package

## Field Summary

### Fields inherited from interface org.apache.tools.ant.util.regexp.Regexp

`REPLACE_ALL, REPLACE_FIRST`

### Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher

`MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

## Constructor Summary

Constructors
Constructor
Description
`Jdk14RegexpRegexp()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getSubsOptions(int options)`
Convert ant regexp substitution option to jdk1.4 options.
`String`
`substitute(String input, String argument, int options)`
Perform a substitution on the regular expression.

### Methods inherited from class org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher

`getCompiledPattern, getCompilerOptions, getGroups, getGroups, getPattern, matches, matches, setPattern`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher

`getGroups, getGroups, getPattern, matches, matches, setPattern`

## Constructor Details

### Jdk14RegexpRegexp

public Jdk14RegexpRegexp()

## Method Details

### getSubsOptions

protected int getSubsOptions(int options)
Convert ant regexp substitution option to jdk1.4 options.

Parameters:
  `options` - the ant regexp options
Returns:
  the jdk14 substitution options

### substitute

public String substitute(String input, String argument, int options) throws BuildException
Perform a substitution on the regular expression.

Specified by:
  `substitute` in interface `Regexp`
Parameters:
  `input` - The string to substitute on
  `argument` - The string which defines the substitution
  `options` - The list of options for the match and replace.
Returns:
  the result of the operation
Throws:
  `BuildException` - on error